"use strict";

var Helper = require('../Helper');
var logger = require('../logger');

var Submap = require('../../../main/js/map/Submap');
var chai = require('chai');
var assert = chai.assert;

describe('Submap', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });

  it("simple contructor", function() {
    var map = helper.createCustomMap();
    
    var model = helper.createModel();
    
    var submap = new Submap(map, model);
    assert.ok(submap);
    assert.equal(logger.getWarnings().length, 0);
    assert.equal(logger.getErrors().length, 0);
  });
  
  it("init", function() {
    var jsVarMock = {};
    var map = helper.createCustomMap();
    
    var model = helper.createModel();
    
    var submap = new Submap(map, model);
    
    var dialogDiv = document.createElement("div");
    dialogDiv.className ="ui-dialog-content";
    
    global.testDiv.appendChild(dialogDiv);
    
    submap.init(global.testDiv, jsVarMock);
    assert.ok(submap);
    assert.equal(logger.getWarnings().length, 0);
    assert.equal(logger.getErrors().length, 0);
  });
});
